# gst validate monitor

TODO

## GstValidateMonitor

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMonitor
                    ╰──GstValidateElementMonitor
                    ╰──GstValidatePadMonitor

GStreamer Validate Monitor class.

Class that wraps a GObject for Validate checks

### Members

`object` (GstObject) –
No description available
`target` (GWeakRef) –
No description available
`pipeline` (GWeakRef) –
No description available
`mutex` (GMutex) –
No description available
`target_name` (gchar *) –
No description available
`parent` (GstValidateMonitor *) –
No description available
`overrides_mutex` (GMutex) –
No description available
`overrides` (GQueue) –
No description available
`media_descriptor` (GstValidateMediaDescriptor *) –
No description available
`level` (GstValidateReportingDetails) –
No description available

### Class structure

#### GstValidateMonitorClass

GStreamer Validate Monitor object class.

##### Fields

`parent_class` (GstObjectClass) –

parent

### GstValidate.MonitorClass

GStreamer Validate Monitor object class.

##### Attributes

`parent_class` (Gst.ObjectClass) –

parent

### GstValidate.MonitorClass

GStreamer Validate Monitor object class.

##### Attributes

`parent_class` (Gst.ObjectClass) –

parent

## GstValidate.Monitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                    ╰──GstValidate.PadMonitor

GStreamer Validate Monitor class.

Class that wraps a GObject.Object for Validate checks

### Members

`object` (Gst.Object) –
No description available
`target` (GObject.WeakRef) –
No description available
`pipeline` (GObject.WeakRef) –
No description available
`mutex` (GLib.Mutex) –
No description available
`target_name` (String) –
No description available
`parent` (GstValidate.Monitor) –
No description available
`overrides_mutex` (GLib.Mutex) –
No description available
`overrides` (GLib.Queue) –
No description available
`media_descriptor` (GstValidate.MediaDescriptor) –
No description available
`level` (GstValidate.ReportingDetails) –
No description available

## GstValidate.Monitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                    ╰──GstValidate.PadMonitor

GStreamer Validate Monitor class.

Class that wraps a GObject.Object for Validate checks

### Members

`object` (Gst.Object) –
No description available
`target` (GObject.WeakRef) –
No description available
`pipeline` (GObject.WeakRef) –
No description available
`mutex` (GLib.Mutex) –
No description available
`target_name` (str) –
No description available
`parent` (GstValidate.Monitor) –
No description available
`overrides_mutex` (GLib.Mutex) –
No description available
`overrides` (GLib.Queue) –
No description available
`media_descriptor` (GstValidate.MediaDescriptor) –
No description available
`level` (GstValidate.ReportingDetails) –
No description available

### Methods

#### gst_validate_monitor_attach_override

    gst_validate_monitor_attach_override (GstValidateMonitor * monitor,
                                          GstValidateOverride * override)

Parameters:

`monitor` –
No description available
`override` –
No description available

#### GstValidate.Monitor.prototype.attach_override

    function GstValidate.Monitor.prototype.attach_override(override: GstValidate.Override): {
        // javascript wrapper for 'gst_validate_monitor_attach_override'
    }

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
`override` (GstValidate.Override) –
No description available

#### GstValidate.Monitor.attach_override

    def GstValidate.Monitor.attach_override (self, override):
        #python wrapper for 'gst_validate_monitor_attach_override'

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
`override` (GstValidate.Override) –
No description available

#### gst_validate_monitor_get_element

    GstElement *
    gst_validate_monitor_get_element (GstValidateMonitor * monitor)

Parameters:

`monitor` –

The monitor

Returns ( [transfer: none][nullable]) –

The GstElement associated with monitor

#### GstValidate.Monitor.prototype.get_element

    function GstValidate.Monitor.prototype.get_element(): {
        // javascript wrapper for 'gst_validate_monitor_get_element'
    }

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor

Returns (Gst.Element) –

The GstElement associated with monitor

#### GstValidate.Monitor.get_element

    def GstValidate.Monitor.get_element (self):
        #python wrapper for 'gst_validate_monitor_get_element'

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor

Returns (Gst.Element) –

The GstElement associated with monitor

#### gst_validate_monitor_get_element_name

    gchar *
    gst_validate_monitor_get_element_name (GstValidateMonitor * monitor)

Parameters:

`monitor` –

The monitor

Returns ( [transfer: full][nullable]) –

The name of the element associated with monitor

#### GstValidate.Monitor.prototype.get_element_name

    function GstValidate.Monitor.prototype.get_element_name(): {
        // javascript wrapper for 'gst_validate_monitor_get_element_name'
    }

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor

Returns (String) –

The name of the element associated with monitor

#### GstValidate.Monitor.get_element_name

    def GstValidate.Monitor.get_element_name (self):
        #python wrapper for 'gst_validate_monitor_get_element_name'

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor

Returns (str) –

The name of the element associated with monitor

#### gst_validate_monitor_get_pipeline

    GstPipeline *
    gst_validate_monitor_get_pipeline (GstValidateMonitor * monitor)

Parameters:

`monitor` –

The monitor to get the pipeline from

Returns ( [transfer: full][nullable]) –

The pipeline in which monitor target is in.

#### GstValidate.Monitor.prototype.get_pipeline

    function GstValidate.Monitor.prototype.get_pipeline(): {
        // javascript wrapper for 'gst_validate_monitor_get_pipeline'
    }

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor to get the pipeline from

Returns (Gst.Pipeline) –

The pipeline in which monitor target is in.

#### GstValidate.Monitor.get_pipeline

    def GstValidate.Monitor.get_pipeline (self):
        #python wrapper for 'gst_validate_monitor_get_pipeline'

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor to get the pipeline from

Returns (Gst.Pipeline) –

The pipeline in which monitor target is in.

#### gst_validate_monitor_get_target

    GstObject *
    gst_validate_monitor_get_target (GstValidateMonitor * monitor)

Parameters:

`monitor` –

The monitor to get the target from

Returns ( [transfer: full][nullable]) –

The target object

#### GstValidate.Monitor.prototype.get_target

    function GstValidate.Monitor.prototype.get_target(): {
        // javascript wrapper for 'gst_validate_monitor_get_target'
    }

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor to get the target from

Returns (Gst.Object) –

The target object

#### GstValidate.Monitor.get_target

    def GstValidate.Monitor.get_target (self):
        #python wrapper for 'gst_validate_monitor_get_target'

Parameters:

`monitor` (GstValidate.Monitor) –

The monitor to get the target from

Returns (Gst.Object) –

The target object

#### gst_validate_monitor_set_media_descriptor

    gst_validate_monitor_set_media_descriptor (GstValidateMonitor * monitor,
                                               GstValidateMediaDescriptor * media_descriptor)

Parameters:

`monitor` –
No description available
`media_descriptor` –
No description available

#### GstValidate.Monitor.prototype.set_media_descriptor

    function GstValidate.Monitor.prototype.set_media_descriptor(media_descriptor: GstValidate.MediaDescriptor): {
        // javascript wrapper for 'gst_validate_monitor_set_media_descriptor'
    }

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
`media_descriptor` (GstValidate.MediaDescriptor) –
No description available

#### GstValidate.Monitor.set_media_descriptor

    def GstValidate.Monitor.set_media_descriptor (self, media_descriptor):
        #python wrapper for 'gst_validate_monitor_set_media_descriptor'

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
`media_descriptor` (GstValidate.MediaDescriptor) –
No description available

### Functions

#### gst_validate_monitor_factory_create

    GstValidateMonitor *
    gst_validate_monitor_factory_create (GstObject * target,
                                         GstValidateRunner * runner,
                                         GstValidateMonitor * parent)

Create a new monitor for target and starts monitoring it.

Parameters:

`target` –

The GstObject to create a GstValidateMonitor for

`runner` –

The GstValidateRunner to use for the new monitor

`parent` ( [nullable]) –

The parent of the new monitor

Returns ( [transfer: full]) –

The newly created GstValidateMonitor

#### GstValidate.Monitor.prototype.factory_create

    function GstValidate.Monitor.prototype.factory_create(target: Gst.Object, runner: GstValidate.Runner, parent: GstValidate.Monitor): {
        // javascript wrapper for 'gst_validate_monitor_factory_create'
    }

Create a new monitor for target and starts monitoring it.

Parameters:

`target` (Gst.Object) –

The Gst.Object to create a GstValidate.Monitor for

`runner` (GstValidate.Runner) –

The GstValidate.Runner to use for the new monitor

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.Monitor) –

The newly created GstValidate.Monitor

#### GstValidate.Monitor.factory_create

    def GstValidate.Monitor.factory_create (target, runner, parent):
        #python wrapper for 'gst_validate_monitor_factory_create'

Create a new monitor for target and starts monitoring it.

Parameters:

`target` (Gst.Object) –

The Gst.Object to create a GstValidate.Monitor for

`runner` (GstValidate.Runner) –

The GstValidate.Runner to use for the new monitor

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.Monitor) –

The newly created GstValidate.Monitor

### Properties

#### object

    “object” GObject *

Flags : Read / Write / Construct Only

#### object

    “object” GObject.Object

Flags : Read / Write / Construct Only

#### object

    “self.props.object” GObject.Object

Flags : Read / Write / Construct Only

#### pipeline

    “pipeline” GstPipeline *

Flags : Read / Write / Construct

#### pipeline

    “pipeline” Gst.Pipeline

Flags : Read / Write / Construct

#### pipeline

    “self.props.pipeline” Gst.Pipeline

Flags : Read / Write / Construct

#### validate-parent

    “validate-parent” GstValidateMonitor *

Flags : Read / Write / Construct Only

#### validate-parent

    “validate-parent” GstValidate.Monitor

Flags : Read / Write / Construct Only

#### validate_parent

    “self.props.validate_parent” GstValidate.Monitor

Flags : Read / Write / Construct Only

#### validate-runner

    “validate-runner” GstValidateRunner *

Flags : Read / Write / Construct Only

#### validate-runner

    “validate-runner” GstValidate.Runner

Flags : Read / Write / Construct Only

#### validate_runner

    “self.props.validate_runner” GstValidate.Runner

Flags : Read / Write / Construct Only

#### verbosity

    “verbosity” GstValidateVerbosityFlags *

Flags : Read / Write

#### verbosity

    “verbosity” GstValidate.VerbosityFlags

Flags : Read / Write

#### verbosity

    “self.props.verbosity” GstValidate.VerbosityFlags

Flags : Read / Write

### Virtual Methods

#### get_element

    GstElement *
    get_element (GstValidateMonitor * monitor)

Parameters:

`monitor` –
No description available
Returns –
No description available

#### vfunc_get_element

    function vfunc_get_element(monitor: GstValidate.Monitor): {
        // javascript implementation of the 'get_element' virtual method
    }

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
Returns (Gst.Element) –
No description available

#### do_get_element

    def do_get_element (monitor):
        #python implementation of the 'get_element' virtual method

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
Returns (Gst.Element) –
No description available

#### set_media_descriptor

    set_media_descriptor (GstValidateMonitor * monitor,
                          GstValidateMediaDescriptor * media_descriptor)

Parameters:

`monitor` –
No description available
`media_descriptor` –
No description available

#### vfunc_set_media_descriptor

    function vfunc_set_media_descriptor(monitor: GstValidate.Monitor, media_descriptor: GstValidate.MediaDescriptor): {
        // javascript implementation of the 'set_media_descriptor' virtual method
    }

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
`media_descriptor` (GstValidate.MediaDescriptor) –
No description available

#### do_set_media_descriptor

    def do_set_media_descriptor (monitor, media_descriptor):
        #python implementation of the 'set_media_descriptor' virtual method

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
`media_descriptor` (GstValidate.MediaDescriptor) –
No description available

#### setup

    gboolean
    setup (GstValidateMonitor * monitor)

Parameters:

`monitor` –
No description available
Returns –
No description available

#### vfunc_setup

    function vfunc_setup(monitor: GstValidate.Monitor): {
        // javascript implementation of the 'setup' virtual method
    }

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
Returns (Number) –
No description available

#### do_setup

    def do_setup (monitor):
        #python implementation of the 'setup' virtual method

Parameters:

`monitor` (GstValidate.Monitor) –
No description available
Returns (bool) –
No description available

## Function Macros

### GST_IS_VALIDATE_MONITOR

    #define GST_IS_VALIDATE_MONITOR(obj)		        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_MONITOR))

### GST_IS_VALIDATE_MONITOR_CLASS

    #define GST_IS_VALIDATE_MONITOR_CLASS(klass)	        (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_MONITOR))

### GST_VALIDATE_MONITOR_CAST

    #define GST_VALIDATE_MONITOR_CAST(obj)                ((GstValidateMonitor*)(obj))

### GST_VALIDATE_MONITOR_CLASS_CAST

    #define GST_VALIDATE_MONITOR_CLASS_CAST(klass)        ((GstValidateMonitorClass*)(klass))

### GST_VALIDATE_MONITOR_GET_PARENT

    #define GST_VALIDATE_MONITOR_GET_PARENT(m) (GST_VALIDATE_MONITOR_CAST (m)->parent)

### GST_VALIDATE_MONITOR_LOCK

    #define GST_VALIDATE_MONITOR_LOCK(m)			\
      G_STMT_START {					\
      GST_LOG_OBJECT (m, "About to lock %p", &GST_VALIDATE_MONITOR_CAST(m)->mutex); \
      (g_mutex_lock (&GST_VALIDATE_MONITOR_CAST(m)->mutex));		\
      GST_LOG_OBJECT (m, "Acquired lock %p", &GST_VALIDATE_MONITOR_CAST(m)->mutex); \
      } G_STMT_END

### GST_VALIDATE_MONITOR_OVERRIDES

    #define GST_VALIDATE_MONITOR_OVERRIDES(m) (GST_VALIDATE_MONITOR_CAST (m)->overrides)

### GST_VALIDATE_MONITOR_OVERRIDES_LOCK

    #define GST_VALIDATE_MONITOR_OVERRIDES_LOCK(m) g_mutex_lock (&GST_VALIDATE_MONITOR_CAST (m)->overrides_mutex)

### GST_VALIDATE_MONITOR_OVERRIDES_UNLOCK

    #define GST_VALIDATE_MONITOR_OVERRIDES_UNLOCK(m) g_mutex_unlock (&GST_VALIDATE_MONITOR_CAST (m)->overrides_mutex)

### GST_VALIDATE_MONITOR_UNLOCK

    #define GST_VALIDATE_MONITOR_UNLOCK(m)				\
      G_STMT_START {						\
      GST_LOG_OBJECT (m, "About to unlock %p", &GST_VALIDATE_MONITOR_CAST(m)->mutex); \
      (g_mutex_unlock (&GST_VALIDATE_MONITOR_CAST(m)->mutex));		\
      GST_LOG_OBJECT (m, "unlocked %p", &GST_VALIDATE_MONITOR_CAST(m)->mutex); \
      } G_STMT_END

## Constants

### GST_TYPE_VALIDATE_MONITOR

    #define GST_TYPE_VALIDATE_MONITOR			(gst_validate_monitor_get_type ())

The results of the search are